Bug 340522 - Add Elixir syntax support
Summary: Add Elixir syntax support
Status: RESOLVED FIXED
Alias: None
Product: frameworks-ktexteditor
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other All
: NOR wishlist
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-31 08:24 UTC by Rubén
Modified: 2016-06-13 21:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
attachment-14859-0.html (1.57 KB, text/html)
2016-02-01 15:44 UTC, Rubén
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rubén 2014-10-31 08:24:02 UTC
There's a new language that reached 1.0 called Elixir ( http://elixir-lang.org/ ). Looks like it's already quite popular. At least I plan to use it a lot. They have plenty of support for other editors as you can see in the bottom right of their website. It's syntax is simpler than Ruby's, but quite similar.

I have been coding Elixir with a slightly modified Ruby syntax file, hacked only the bare minimum needed to get a working syntax. I have not the expertise to get it done fast, and have also no time to a slow process of try/error to earn that expertise. 

The syntax file I am using is this https://gist.github.com/rubencaro/7158f8c2ccd33f568504 , but I am afraid you cannot use it anyway to get it done right, because it's just a crappy hack.

It would be great to have support for Elixir.

Thanks.

Reproducible: Always
Comment 1 Christoph Cullmann 2016-01-31 15:50:53 UTC
Hi,

if you want to submit the file, if it works well enough, even if not perfect, we would accept it. Otherwise this is a won't fix, as nobody will step up to do this.
Comment 2 Rubén 2016-02-01 15:44:14 UTC
Created attachment 96956 [details]
attachment-14859-0.html

You can get it straight from here:
https://gist.githubusercontent.com/rubencaro/7158f8c2ccd33f568504/raw/2aa320e06b7feec5fee637c2e4984edd9d7f9ce2/elixir.xml

Thanks!
El 31/01/2016 16:50, "Christoph Cullmann via KDE Bugzilla" <
bugzilla_noreply@kde.org> escribió:

> https://bugs.kde.org/show_bug.cgi?id=340522
>
> Christoph Cullmann <cullmann@kde.org> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |cullmann@kde.org
>
> --- Comment #1 from Christoph Cullmann <cullmann@kde.org> ---
> Hi,
>
> if you want to submit the file, if it works well enough, even if not
> perfect,
> we would accept it. Otherwise this is a won't fix, as nobody will step up
> to do
> this.
>
> --
> You are receiving this mail because:
> You reported the bug.
>
Comment 3 Dominik Haumann 2016-06-13 21:53:03 UTC
Kate already has an elixir.xml syntax highlighting file, see https://git.reviewboard.kde.org/r/127041/
This review request even links to this bug report, so I will close it for now.

If you want, you can update the existing xml file to improve it.